'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

require('colors');

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (abletonObj) {
  var errors = [];
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    if (track.DeviceChain.Mixer.ViewStateSesstionTrackWidth.Value !== '55') {
      errors.push('Adjust width of ' + track.Name.EffectiveName.Value.green + ' in Session view');
    }
    if (_lodash2.default.isArray(track.DeviceChain.AutomationLanes.AutomationLanes.AutomationLane)) {
      errors.push('Fold automation lanes of ' + track.Name.EffectiveName.Value.green);
    } else {
      if (track.DeviceChain.AutomationLanes.AutomationLanes.AutomationLane.LaneHeight.Value !== '17' && track.DeviceChain.AutomationLanes.AutomationLanes.AutomationLane.LaneHeight.Value !== '34') {
        errors.push('Fold default automation lane of ' + track.Name.EffectiveName.Value.green);
      }
      if (track.DeviceChain.AutomationLanes.AutomationLanes.AutomationLane.SelectedDevice.Value !== '0' || track.DeviceChain.AutomationLanes.AutomationLanes.AutomationLane.SelectedEnvelope.Value !== '0') {
        errors.push('Select None for automation of ' + track.Name.EffectiveName.Value.green);
      }
    }
  });
  return errors;
};