'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  var mixTrack = (0, _utils.findTrackByName)(abletonObj, 'Mix');
  var allButMixTrack = (0, _utils.getAllTracks)(abletonObj).filter(function (track) {
    return track.Name.EffectiveName.Value !== 'Mix';
  });
  if (mixTrack) {
    allButMixTrack.forEach(function (track) {
      if (track.DeviceChain.AudioOutputRouting.Target.Value !== 'AudioOut/Track.' + mixTrack.$.Id + '/TrackIn' && track.TrackGroupId.Value === '-1' && !(0, _utils.isExceptionTrack)(track)) {
        // flow-disable-next-line
        errors.push('Set track ' + track.Name.EffectiveName.Value.green + '\'s audio output to ' + 'Mix'.green);
      }
    });
  }
  return errors;
};