'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  abletonObj.Tracks.MidiTrack.forEach(function (track) {
    if (track.DeviceChain.MidiInputRouting.Target.Value !== 'MidiIn/None' && !(0, _utils.isExceptionTrack)(track)) {
      errors.push('Set track ' + track.Name.EffectiveName.Value.green + '\'s input to No Input');
    }
  });
  abletonObj.Tracks.AudioTrack.forEach(function (track) {
    if (track.DeviceChain.AudioInputRouting.Target.Value !== 'AudioIn/None' && !(0, _utils.isExceptionTrack)(track)) {
      errors.push('Set track ' + track.Name.EffectiveName.Value.green + '\'s input to No Input');
    }
  });
  return errors;
};