'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('colors');

var _utils = require('../utils');

exports.default = function (abletonObj) {
  var errors = [];
  var occurencesHash = {};
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    var currentName = track.Name.EffectiveName.Value;
    if (occurencesHash[currentName]) {
      errors.push('The name ' + currentName.green + ' is used on multiple tracks');
    }
    occurencesHash[currentName] = true;
  });
  return errors;
};