'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

require('colors');

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var indexToLetterMap = ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];

exports.default = function (abletonObj) {
  var errors = [];
  (0, _utils.getAllTracks)(abletonObj).forEach(function (track) {
    track.DeviceChain.Mixer.Sends.TrackSendHolder.forEach(function (trackSendHolder, index) {
      // The _.isPlainObject is to check if FloatEvents got turned into a plain object
      // by the clean up function (single automation event) or is still an array (multiple events)
      if (trackSendHolder.Active.Value === 'true' && parseFloat(trackSendHolder.Send.Manual.Value) < 0.0005 && _lodash2.default.isPlainObject(trackSendHolder.Send.ArrangerAutomation.Events.FloatEvent) && !(0, _utils.isExceptionTrack)(track)) {
        errors.push('Disable Send ' + indexToLetterMap[index].green + ' on ' + track.Name.EffectiveName.Value.green + ' track');
      }
    });
  });
  return errors;
};