'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var getAllTracks = function getAllTracks(abletonObj) {
  return (abletonObj.Tracks.MidiTrack || []).concat(abletonObj.Tracks.AudioTrack || [], abletonObj.Tracks.ReturnTrack || [], abletonObj.Tracks.GroupTrack || []);
};

var findTrackByName = function findTrackByName(abletonObj, name) {
  return getAllTracks(abletonObj).filter(function (track) {
    return track.Name.EffectiveName.Value === name;
  })[0];
};

var isExceptionTrack = function isExceptionTrack(track) {
  return track.Name.EffectiveName.Value.charAt(0) === '!';
};

exports.getAllTracks = getAllTracks;
exports.findTrackByName = findTrackByName;
exports.isExceptionTrack = isExceptionTrack;